package company_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type CompanyBindLegalpersonRequest struct {
	CompanyRequest *common.CompanyRequest  `json:"companyRequest"`
	User           *common.UserInfoRequest `json:"user"`
	OperatorInfo   *common.UserInfoRequest `json:"operatorInfo,omitempty"`
}

func (obj CompanyBindLegalpersonRequest) GetUrl() string {
	return "/company/bind/legalperson"
}

func (obj CompanyBindLegalpersonRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
